SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
wifi_ind.h File Reference

This file provides the functions related to event handler mechanism. More...

`#include "wifi_conf.h"`

## Data Structures
struct | event_list_elem_t

## Typedefs
typedef void(* | rtw_event_handler_t) (char *buf, int buf_len, int flags, void *handler_user_data)

## Functions
void | init_event_callback_list (void)
| Initialize the event callback list. More...
void | wifi_indication (rtw_event_indicate_t event, char *buf, int buf_len, int flags)
| Wlan driver indicate event to upper layer through wifi_indication. More...
void | wifi_reg_event_handler (unsigned int event_cmds, rtw_event_handler_t handler_func, void *handler_user_data)
| Register the event listener. More...
void | wifi_unreg_event_handler (unsigned int event_cmds, rtw_event_handler_t handler_func)
| Un-register the event listener. More...

## Detailed Description

This file provides the functions related to event handler mechanism.

Author

Version

Attention

This module is a confidential and proprietary property of RealTek and possession or use of this module requires written permission of RealTek.

Copyright(c) 2016, Realtek Semiconductor Corporation. All rights reserved.